Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QLocalFs Class Reference
[network module]

The QLocalFs class is an implementation of a QNetworkProtocol that works on the local file system. More...

`#include <qlocalfs.h>`

Inherits QNetworkProtocol.

List of all member functions.

## Public Members

- QLocalFs ()

## Detailed Description

The QLocalFs class is an implementation of a QNetworkProtocol that works on the local file system.

This class is derived from QNetworkProtocol. QLocalFs is not normally used directly, but rather through a QUrlOperator, for example:

        QUrlOperator op( "file:///tmp" );
        op.listChildren(); // Asks the server to provide a directory listing

This code will only work if the QLocalFs class is registered; to register the class, you must call qInitNetworkProtocols() before using a QUrlOperator with QLocalFs.

If you really need to use QLocalFs directly, don't forget to set its QUrlOperator with setUrl().

See also Qt Network Documentation, QNetworkProtocol, QUrlOperator, and Input/Output and Networking.

## Member Function Documentation

### QLocalFs::QLocalFs ()

Constructor.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.